Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 719974 - mail-filter/spamdyke-5.0.1 does not compile with >= dev-libs/openssl-1.1
Summary: mail-filter/spamdyke-5.0.1 does not compile with >= dev-libs/openssl-1.1
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: x86 Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords: PATCH, PullRequest
: 727628 (view as bug list)
Depends on:
Blocks: openssl-1.1
  Show dependency tree
 
Reported: 2020-04-29 05:16 UTC by gbzilla
Modified: 2021-06-18 19:43 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Output from emerge attempt (emerge_output.txt,6.42 KB, text/plain)
2020-04-29 05:16 UTC, gbzilla
Details
Contents of config.log (config_log.txt,35.14 KB, text/plain)
2020-04-29 05:17 UTC, gbzilla
Details
Build log (build_log.txt,5.11 KB, text/plain)
2020-04-29 05:17 UTC, gbzilla
Details
Environment (environment.txt,60.88 KB, text/plain)
2020-04-29 05:18 UTC, gbzilla
Details
Patch to spamdyke 5 source (openssl_patch.txt,1.26 KB, patch)
2020-04-29 05:19 UTC, gbzilla
Details | Diff
Botched ebuild file (new_ebuild.txt,2.45 KB, text/plain)
2020-04-29 05:20 UTC, gbzilla
Details

Note You need to log in before you can comment on or make changes to this bug.
Description gbzilla 2020-04-29 05:16:08 UTC
Created attachment 635116 [details]
Output from emerge attempt

OpenSSL 1.1.0 deprecates the use of SSL_library_init() and instead replaces it with OPENSSL_init_ssl(), which in turn is called automatically.
This causes the build to fail, as invalid library routine is searched for.
I have created an updated ebuild / patch to fix this, but it's somewhat messy - perhaps it can be tidied up.
I based the ebuild on the 5.0.1 ebuild that already exists - however I note that the spamdyke 5 tarball no longer includes the utils folder - so that also was a problem - I just removed compiling of utils from the ebuild.

emerge --info:
Portage 2.3.96 (python 3.7.7-final-0, default/linux/amd64/17.1, gcc-9.2.0, glibc-2.30-r3, 4.14.3-gentoo x86_64)
=================================================================
System uname: Linux-4.14.3-gentoo-x86_64-Westmere_E56xx-L56xx-X56xx_-IBRS_update-with-gentoo-2.2
KiB Mem:     4042296 total,    406880 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Tue, 28 Apr 2020 06:00:01 +0000
Head commit of repository gentoo: 218fd244af6bbd4aa9d9d42cd28bb1ca56e5be6d
sh bash 4.4_p23
ld GNU ld (Gentoo 2.30 p2) 2.30.0
app-shells/bash:          4.4_p23::gentoo
dev-lang/perl:            5.30.1::gentoo
dev-lang/python:          2.7.17::gentoo, 3.5.9::gentoo, 3.7.7::gentoo, 3.8.0::gentoo
dev-util/cmake:           3.11.3::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.36::gentoo
sys-apps/sandbox:         2.18::gentoo
sys-devel/autoconf:       2.69-r4::gentoo
sys-devel/automake:       1.10.2::funtoo, 1.13.2::gentoo, 1.14.1::gentoo, 1.15.1-r2::gentoo, 1.16.1-r1::gentoo
sys-devel/binutils:       2.29.1-r1::gentoo, 2.30-r2::gentoo, 2.33.1::gentoo, 2.34::gentoo
sys-devel/gcc:            7.2.0::gentoo, 7.3.0-r3::gentoo, 9.2.0-r2::gentoo
sys-devel/gcc-config:     1.9.1::gentoo
sys-devel/libtool:        2.4.6-r5::gentoo
sys-devel/make:           4.2.1-r3::gentoo
sys-kernel/linux-headers: 4.16-r1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.30-r3::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-metamanifest: no
    sync-rsync-extra-opts:
    sync-rsync-verify-max-age: 24

subnigra
    location: /usr/portage.overlay
    masters: gentoo

Installed sets: @system
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="@FREE dlj-1.1"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /var/bind /var/qmail/alias /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.6/ext-active/ /etc/php/apache2-php7.1/ext-active/ /etc/php/apache2-php7.3/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cgi-php7.1/ext-active/ /etc/php/cgi-php7.3/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/php/cli-php7.1/ext-active/ /etc/php/cli-php7.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="aalib amd64 bzip2 cgi cli client crypt cxx dlz emacs encode gb gdbm gif gpl imap ipv6 jpeg krb4 libg++ libwww maildir mbstring memlimit mmx mpi mysql ncurses nls openssl pam perl php png python readline server slang smbclient split-usr sse sse2 ssl su suexec tcpd threads tif tracepath unicode x264 x265 xinetd xml zlib" ABI_X86="64" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_core authz_core unixd socache_shmcb authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http readline rewrite setenvif slotmem_shm so speling status unique_id userdir usertrack vhost_alias" CURL_SSL="openssl" ELIBC="glibc" KERNEL="linux" PYTHON_SINGLE_TARGET="python3_7" PYTHON_TARGETS="python2_7 python3_5 python3_7" USERLAND="GNU"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, MAKEOPTS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 gbzilla 2020-04-29 05:17:05 UTC
Created attachment 635118 [details]
Contents of config.log
Comment 2 gbzilla 2020-04-29 05:17:43 UTC
Created attachment 635120 [details]
Build log
Comment 3 gbzilla 2020-04-29 05:18:26 UTC
Created attachment 635122 [details]
Environment
Comment 4 gbzilla 2020-04-29 05:19:14 UTC
Created attachment 635126 [details, diff]
Patch to spamdyke 5 source
Comment 5 gbzilla 2020-04-29 05:20:01 UTC
Created attachment 635128 [details]
Botched ebuild file
Comment 6 Marco Scardovi (scardracs) 2021-06-18 18:08:55 UTC
*** Bug 727628 has been marked as a duplicate of this bug. ***